LimitStencilTableFactory Class Reference

Classes | Public Types | Static Public Member Functions | List of all members
LimitStencilTableFactory Class Reference

A specialized factory for LimitStencilTable. More...

`#include <stencilTableFactory.h>`

## Classes
struct | LocationArray
| Descriptor for limit surface locations. More...
struct | Options

## Public Types
typedef std::vector< LocationArray > | LocationArrayVec

## Static Public Member Functions
static LimitStencilTable const * | Create (TopologyRefiner const &refiner, LocationArrayVec const &locationArrays, StencilTable const *cvStencils=0, PatchTable const *patchTable=0, Options options=Options())
| Instantiates LimitStencilTable from a TopologyRefiner that has been refined either uniformly or adaptively. More...

## Detailed Description

A specialized factory for LimitStencilTable.

The LimitStencilTableFactory creates a table of limit stencils. Limit stencils can interpolate any arbitrary location on the limit surface. The stencils will be bilinear if the surface is refined uniformly, and bicubic if feature adaptive isolation is used instead.

Surface locations are expressed as a combination of ptex face index and normalized (s,t) patch coordinates. The factory exposes the LocationArray struct as a container for these location descriptors.

Definition at line 143 of file stencilTableFactory.h.

## Member Typedef Documentation

## ◆ LocationArrayVec

typedef std::vector<LocationArray> LocationArrayVec

Definition at line 159 of file stencilTableFactory.h.

## Member Function Documentation

## ◆ Create()

static LimitStencilTable const* Create | ( | TopologyRefiner const & | refiner,
|  | LocationArrayVec const & | locationArrays,
|  | StencilTable const * | cvStencils = `0`,
|  | PatchTable const * | patchTable = `0`,
|  | Options | options = `Options()`
| ) |  |
| static

Instantiates LimitStencilTable from a TopologyRefiner that has been refined either uniformly or adaptively.

Parameters

  refiner | The TopologyRefiner containing the topology
  locationArrays | An array of surface location descriptors (see LocationArray)
  cvStencils | A set of StencilTable generated from the TopologyRefiner (optional: prevents redundant instantiation of the table if available)
  patchTable | A set of PatchTable generated from the TopologyRefiner (optional: prevents redundant instantiation of the table if available)
  options | Options controlling the creation of the table

The documentation for this class was generated from the following file:

- opensubdiv/far/stencilTableFactory.h